Qt 5.6 | Qt 3D | C++ Classes | QSortMethod

Qt 5.6.3 Reference Documentation

# QSortMethod Class

(Qt3DRender::QSortMethod)

Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QSortMethod(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QSortMethod()
void | addCriterion(QSortCriterion *criterion)
QList<QSortCriterion *> | criteria() const
void | removeCriterion(QSortCriterion *criterion)

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QSortMethod(QSortMethodPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode
- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QSortMethod::QSortMethod(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QSortMethod.

### `[protected]` QSortMethod::QSortMethod(QSortMethodPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QSortMethod::~QSortMethod()

Destroys the instance of QSortMethod.

### void QSortMethod::addCriterion(QSortCriterion *criterion)

### `[protected]` void QSortMethod::copy(const Qt3DCore::QNode *ref)

### QList<QSortCriterion *> QSortMethod::criteria() const

### void QSortMethod::removeCriterion(QSortCriterion *criterion)